import config from "@/config"
import http from "@/utils/request"

export default {
	send: {
		url: `${config.API_URL}/customer.service.send.message`,
		name: "发送消息到用户",
		post: async function(data){
			return await http.post(this.url, data);
		}
	},
	list: {
		url: `${config.API_URL}/customer.service.message.list`,
		name: "获取消息列表",
		post: async function(data){
			return await http.post(this.url, data);
		}
	},
	typeList: {
		url: `${config.API_URL}/customer.service.type.list`,
		name: "问题工单常量",
		post: async function(data){
			return await http.post(this.url, data);
		}
	},
	delete: {
		url: `${config.API_URL}/customer.service.message.delete`,
		name: "删除消息记录",
		post: async function(data){
			return await http.post(this.url, data);
		}
	},
	recordList: {
		url: `${config.API_URL}/customer.service.message.record.list`,
		name: "消息记录列表",
		post: async function(data){
			return await http.post(this.url, data);
		}
	},
	customer: {
		url: `${config.API_URL}/customer.service.random.assign`,
		name: "随机客服",
		post: async function(data){
			return await http.post(this.url, data);
		}
	},
	read: {
		url: `${config.API_URL}/customer.service.message.read`,
		name: "标记已读",
		post: async function(data){
			return await http.post(this.url, data);
		}
	},
	contactList:{
		url: `${config.API_URL}/customer.service.message.contact.list`,
		name: "联系人列表推送",
		post: async function(data){
			return await http.post(this.url, data);
		}
	},
	attachmentMessage: {
		url: `${config.API_URL}/customer.service.message.attachment.push`,
		name: "附件推送",
		post: async function(data){
			return await http.post(this.url, data);
		}
	},

	orderSubmit: {
		url: `${config.API_URL}/customer.work.order.submit`,
		name: "提交问题工单",
		post: async function(data){
			return await http.post(this.url, data);
		}
	},
	serviceTypeList:{
		url: `${config.API_URL}/customer.service.type.list`,
		name: "问题工单常量类型",
		post: async function(data){
			return await http.post(this.url, data);
		}
	},
	replyOrder:{
		url: `${config.API_URL}/customer.work.order.reply`,
		name: "回复工单",
		post: async function(data){
			return await http.post(this.url, data);
		}
	},
	orderList:{
		url: `${config.API_URL}/customer.work.order.list`,
		name: "问题工单列表",
		get: async function(data){
			return await http.post(this.url, data);
		}
	},
	orderDelete:{
		url: `${config.API_URL}/customer.work.order.delete`,
		name: "删除问题工单",
		post: async function(data){
			return await http.post(this.url, data);
		}
	},
	orderMyList:{
		url: `${config.API_URL}/customer.work.order.my.list`,
		name: "我的问题工单",
		get: async function(data){
			return await http.post(this.url, data);
		}
	},
	workOrderInfo:{
		url: `${config.API_URL}/customer.work.order.info`,
		name: "问题工单详情",
		post: async function(data){
			return await http.post(this.url, data);
		}
	},
	queryRecordList:{
		url: `${config.API_URL}/service.query.record.list`,
		name: "查询历史记录",
		get: async function(data){
			return await http.post(this.url, data);
		}
	},
	periodQuery:{
		url: `${config.API_URL}/customer.maintenance.period.query`,
		name: "维保期限查询",
		get: async function(data){
			return await http.post(this.url, data);
		}
	},
	periodQueryStatusList:{
		url: `${config.API_URL}/customer.order.business.status.list`,
		name: "维保期限业务状态列表",
		post: async function(data){
			return await http.post(this.url, data);
		}
	},
	customerMyQuery:{
		url: `${config.API_URL}/customer.my.query`,
		name: "我的记录查询（查询所有记录）",
		get: async function(data){
			return await http.post(this.url, data);
		}
	},
	customerRecentlyQuery:{
		url: `${config.API_URL}/customer.recently.query`,
		name: "我的最近查询（查询前10条）",
		post: async function(data){
			return await http.post(this.url, data);
		}
	},
	searchTypeList:{
		url: `${config.API_URL}/customer.search.type.list`,
		name: "查询类别常量列表",
		post: async function(data){
			return await http.post(this.url, data);
		}
	},


	recommendation:{
		url: `${config.API_URL}/customer.random.recommendation`,
		name: "随机推荐",
		post: async function(data){
			return await http.post(this.url, data);
		}
	}
}
